Package com.microblink.blinkid.fragment.overlay.blinkid.reticleui

# Enum Class ReticleUiState

java.lang.Object
java.lang.Enum<ReticleUiState>
com.microblink.blinkid.fragment.overlay.blinkid.reticleui.ReticleUiState

All Implemented Interfaces:
  `Serializable`, `Comparable<ReticleUiState>`, `Constable`

public enum ReticleUiState extends Enum<ReticleUiState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER_CARD_FLIP`
  `BLUR_DETECTED`
  `CAMERA_TOO_CLOSE`
  `CAMERA_TOO_HIGH`
  `DOCUMENT_NOT_FULLY_VISIBLE`
  `DOCUMENT_TOO_CLOSE_TO_EDGE`
  `ERROR_DIALOG`
  `FACE_PHOTO_NOT_FULLY_VISIBLE`
  `FLIP_CARD`
  `GLARE_DETECTED`
  `PROCESSING`
  `SCANNING_WRONG_SIDE`
  `SENSING`
  `SENSING_START`
  `SUCCESS`
  `SUCCESS_FIRST_SIDE`
  `TURN_PAGE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final com.microblink.blinkid.fragment.overlay.blinkid.reticleui.CardAnimator`
  `cardAnimator`
  `final boolean`
  `isDetectionError`
  `final boolean`
  `isProcessingError`
  `final long`
  `minDurationMs`
  `final ReticleView.Type`
  `reticleType`
  `final boolean`
  `shouldShowInnerReticle`
  `final boolean`
  `shouldShowProgress`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReticleUiState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReticleUiState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SENSING

    public static final ReticleUiState SENSING

  - ### SENSING_START

    public static final ReticleUiState SENSING_START

  - ### PROCESSING

    public static final ReticleUiState PROCESSING

  - ### SUCCESS

    public static final ReticleUiState SUCCESS

  - ### SUCCESS_FIRST_SIDE

    public static final ReticleUiState SUCCESS_FIRST_SIDE

  - ### FLIP_CARD

    public static final ReticleUiState FLIP_CARD

  - ### TURN_PAGE

    public static final ReticleUiState TURN_PAGE

  - ### AFTER_CARD_FLIP

    public static final ReticleUiState AFTER_CARD_FLIP

  - ### ERROR_DIALOG

    public static final ReticleUiState ERROR_DIALOG

  - ### CAMERA_TOO_HIGH

    public static final ReticleUiState CAMERA_TOO_HIGH

  - ### CAMERA_TOO_CLOSE

    public static final ReticleUiState CAMERA_TOO_CLOSE

  - ### DOCUMENT_TOO_CLOSE_TO_EDGE

    public static final ReticleUiState DOCUMENT_TOO_CLOSE_TO_EDGE

  - ### DOCUMENT_NOT_FULLY_VISIBLE

    public static final ReticleUiState DOCUMENT_NOT_FULLY_VISIBLE

  - ### BLUR_DETECTED

    public static final ReticleUiState BLUR_DETECTED

  - ### GLARE_DETECTED

    public static final ReticleUiState GLARE_DETECTED

  - ### SCANNING_WRONG_SIDE

    public static final ReticleUiState SCANNING_WRONG_SIDE

  - ### FACE_PHOTO_NOT_FULLY_VISIBLE

    public static final ReticleUiState FACE_PHOTO_NOT_FULLY_VISIBLE

- ## Field Details

  - ### reticleType

    @NonNull public final ReticleView.Type reticleType

  - ### shouldShowInnerReticle

    public final boolean shouldShowInnerReticle

  - ### shouldShowProgress

    public final boolean shouldShowProgress

  - ### isDetectionError

    public final boolean isDetectionError

  - ### isProcessingError

    public final boolean isProcessingError

  - ### cardAnimator

    @NonNull public final com.microblink.blinkid.fragment.overlay.blinkid.reticleui.CardAnimator cardAnimator

  - ### minDurationMs

    public final long minDurationMs

- ## Method Details

  - ### values

    public static ReticleUiState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReticleUiState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null